Subject: [v6ops] draft-ietf-v6ops-ipv6-roaming-analysis WGLC

From: [email-masked]
Date: Sun, 3 Aug 2014 11:00:04 -0700

The working group last call for this draft announced last week
continues for another week.  Please feel free to comment on it.

---

From: Jouni Korhonen <[email-masked]>
Date: Tue, 05 Aug 2014 10:15:40 +0300

The HLR I used allowed quite a bit of configuration regarding this topic:

o PDP Types IPv4, IPv6 and IPv4v6 could all have the same APN for the 
subscriber
o IPv6 could be disabled per PLMN basis

Some of these cases were briefly elaborated in Section 8.5 of RFC6459.

- Jouni

7/30/2014 1:14 AM, Ross Chandler kirjoitti:
>
> On 29 Jul 2014, at 06:10, Mikael Abrahamsson <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>> On Tue, 29 Jul 2014, GangChen wrote:
>>
>>> Only the value IPv4v6 is allowed for ext_pdp. If HLR doesn't support
>>> IPv4v6 setting(that is the most case pre-R9), in other words, it can't
>>> set ext_pdp. It may not able to support all cases.
>>
>> Then I guess it's a matter of implementation. The HLR I was exposed
>> to, did for 2G/3G show to the user that IPv4 could have ext_pdp_type
>> IPv6, and this enabled IPv4 and IPv4v6 to work with this setting. If
>> UE asked for IPv6 only PDP context that didn’t work, so we had to add
>> a profile that said "IPv6" without ext_pdp_context_type.
>
> We have to define two allowed PDP Types for the same APN, so that legacy
> IPv4 PDPs and IPv6 PDPs for 464xlat can both be requested for the same APN.
>
> e.g.
>
> <hgppp:pdpcp=240;
> HLR PACKET DATA PROTOCOL CONTEXT PROFILE DATA
> PDPCP  APNID  EQOSID  VPAA  PDPCH    PDPTY  PDPID EPDPIND
> 240       80     1    NO             IPV4   25    NO
>            76     1    NO             IPV4   26    NO
>            74     1    NO             IPV4   31    NO
>            73     1    NO             IPV4   32    NO  <-- testdata APN V4
>            73     1    NO             IPV6   50    NO  <-- testdata APN V6
>
> If the Android UE APN Protocol is set to “IPv4/IPv6” with this it sets
> up parallel bearers to the GGSN/PGW.
>
> I agree with Mikael that it might be worth having a section noting this
> behaviour. An operator doing 464xlat could have UEs connecting with
> dual-stack done over separate bearers when they’d prefer it to either be
> single bearer with legacy IPv4 or IPv6 with 464xlat.  This applies in
> the home and roaming case.
>
> Ross
>
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>